<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	
	>
<h:head>
	<title>Abonnement</title>
	<script name="jquery/jquery.js" library="primefaces"></script>
	<!-- DatePicker JavaScript & CSS -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js" />
	<script type="text/javascript" src="https://code.jquery.com/ui/1.12.1/jquery-ui.js" />
	<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" />
</h:head>

<body>
	<h:form id="form">

		<b>Create your Abonnement</b>

	</h:form>
	<h:panelGroup columns="2">

		<h:form>

			<h:outputText value="Date Debut"></h:outputText>
			<h:inputText value="#{abonnementBean.dateDeb}"></h:inputText> <br />
			
			<h:outputText value="Date Fin"></h:outputText> 
			<h:inputText value="#{abonnementBean.dateFin}" style="datepicker"> </h:inputText> <br /> 

			<h:outputText value="Motif du virrement"></h:outputText>
			<h:inputText value="#{abonnementBean.image}"></h:inputText> <br />
			
			<h:selectOneMenu value="#{abonnementBean.type}">
				<f:selectItem itemLabel="Abonnement Pro" itemValue="0"/>
				<f:selectItem itemLabel="Abonnement Plus" itemValue="1"/>
				<f:selectItems value="#{abonnementBean.type}" />
			</h:selectOneMenu><br /><br />

			<h:commandButton id="btn" value="Create"
				action="#{abonnementBean.addAbonnement()}" />

		</h:form>
	</h:panelGroup>

</body>
</html>